Kerbal Space Program - Bug #523

Undo doesn’t completely undo things.
04/06/2013 12:33 AM - FredMSloniker

Status: Not a Bug Start date: 04/06/2013
Severity: Normal % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 0.191 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

Start a new game of KSP. Select a capsule, then attach something to it (a fuel tank, for instance). Pull the fuel tank off of the
capsule, but don't sell it; leave it floating unattached. Then press Ctrl-Z. While the state of the rocket is undone (the fuel tank
reattaches), the state of the detached part does not (so now there are two fuel tanks).

History

#1 - 04/19/2013 05:08 AM - BloodyRain2k

FredMSloniker wrote:

Start a new game of KSP. Select a capsule, then attach something to it (a fuel tank, for instance). Pull the fuel tank off of the capsule, but don't
sell it; leave it floating unattached. Then press Ctrl-Z. While the state of the rocket is undone (the fuel tank reattaches), the state of the
detached part does not (so now there are two fuel tanks).

It's been like that before too. If you plan on undoing a "rip off" then just sell it. What's the problem with that?

#2 - 11/21/2015 10:40 AM - Squelch
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

This was by design to enable the cloning of parts. While we have another method now, this is by design, and has no adverse impact on the game.
